aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorrl1987 <rl1987@sdf.lonestar.org>2019-01-21 13:01:52 +0200
committerNick Mathewson <nickm@torproject.org>2019-01-24 08:03:17 -0500
commit99fffc6c2fbc00cdeb9edd07ebb580f55d0a3513 (patch)
tree21a613d6c1a3c8f1e15326f0c308ebfe94173f1f /scripts
parentaaef95ada5d304117d5697a042d0f43b87329ecc (diff)
downloadtor-99fffc6c2fbc00cdeb9edd07ebb580f55d0a3513.tar.gz
tor-99fffc6c2fbc00cdeb9edd07ebb580f55d0a3513.zip
Add a pre-commit hook that runs code and changelog entry formatting checks
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/maint/pre-commit.git-hook23
1 files changed, 23 insertions, 0 deletions
diff --git a/scripts/maint/pre-commit.git-hook b/scripts/maint/pre-commit.git-hook
new file mode 100755
index 0000000000..0868559606
--- /dev/null
+++ b/scripts/maint/pre-commit.git-hook
@@ -0,0 +1,23 @@
+#!/bin/bash
+#
+# To install this script, copy it to .git/hooks/pre-commit in local copy of
+# tor git repo and make sure it has permission to execute.
+#
+# This is pre-commit git hook script that prevents commiting your changeset if
+# it fails our code formatting or changelog entry formatting checkers.
+
+workdir=$(git rev-parse --show-toplevel)
+
+cd "$workdir" || exit 1
+
+python scripts/maint/lintChanges.py ./changes
+
+perl scripts/maint/checkSpace.pl -C \
+src/lib/*/*.[ch] \
+src/core/*/*.[ch] \
+src/feature/*/*.[ch] \
+src/app/*/*.[ch] \
+src/test/*.[ch] \
+src/test/*/*.[ch] \
+src/tools/*.[ch]
+